summaryrefslogtreecommitdiffstats
path: root/source/x/dejavu-fonts-ttf
diff options
context:
space:
mode:
Diffstat (limited to 'source/x/dejavu-fonts-ttf')
-rwxr-xr-xsource/x/dejavu-fonts-ttf/dejavu-fonts-ttf.SlackBuild81
-rw-r--r--source/x/dejavu-fonts-ttf/doinst.sh11
-rw-r--r--source/x/dejavu-fonts-ttf/slack-desc19
3 files changed, 111 insertions, 0 deletions
diff --git a/source/x/dejavu-fonts-ttf/dejavu-fonts-ttf.SlackBuild b/source/x/dejavu-fonts-ttf/dejavu-fonts-ttf.SlackBuild
new file mode 100755
index 000000000..68bac2327
--- /dev/null
+++ b/source/x/dejavu-fonts-ttf/dejavu-fonts-ttf.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=${VERSION:-2.29}
+ARCH=noarch
+BUILD=1
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-dejavu-fonts-ttf
+
+# I suppose we'll be nice and try to fetch this if
+# you know the version you want.
+if [ ! -e $CWD/dejavu-fonts-ttf-$VERSION.tar.gz ]; then
+ if [ ! -e $CWD/dejavu-fonts-ttf-$VERSION.tar.bz2 ]; then
+ lftpget http://dejavu.sourceforge.net/snapshots/dejavu-fonts-ttf-$VERSION.tar.gz
+ fi
+fi
+if [ -e $CWD/dejavu-fonts-ttf-$VERSION.tar.gz ]; then
+ gzip -d $CWD/dejavu-fonts-ttf-$VERSION.tar.gz
+ bzip2 -9 $CWD/dejavu-fonts-ttf-$VERSION.tar
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf dejavu-fonts-ttf-$VERSION
+tar xvf $CWD/dejavu-fonts-ttf-$VERSION.tar.bz2 || exit 1
+cd dejavu-fonts-ttf-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/fonts/TTF/
+cp -a ttf/*.ttf $PKG/usr/share/fonts/TTF/
+
+mkdir -p $PKG/etc/fonts/conf.avail
+mkdir -p $PKG/etc/fonts/conf.d
+( cd fontconfig
+ for file in * ; do
+ cp -a $file $PKG/etc/fonts/conf.avail
+ ( cd $PKG/etc/fonts/conf.d ; ln -sf ../conf.avail/$file . )
+ done
+)
+
+mkdir -p $PKG/usr/doc/dejavu-fonts-ttf-$VERSION
+cp -a \
+ AUTHORS LICENSE NEWS README* *.txt \
+ $PKG/usr/doc/dejavu-fonts-ttf-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/dejavu-fonts-ttf-$(echo $VERSION | tr - _ )-$ARCH-$BUILD.txz
+
diff --git a/source/x/dejavu-fonts-ttf/doinst.sh b/source/x/dejavu-fonts-ttf/doinst.sh
new file mode 100644
index 000000000..bdb050188
--- /dev/null
+++ b/source/x/dejavu-fonts-ttf/doinst.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+# Update the X font indexes:
+if [ -x /usr/bin/mkfontdir -o -x /usr/X11R6/bin/mkfontdir ]; then
+ ( cd /usr/share/fonts/TTF
+ mkfontscale .
+ mkfontdir .
+ )
+fi
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
diff --git a/source/x/dejavu-fonts-ttf/slack-desc b/source/x/dejavu-fonts-ttf/slack-desc
new file mode 100644
index 000000000..a9952b57e
--- /dev/null
+++ b/source/x/dejavu-fonts-ttf/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+dejavu-fonts-ttf: dejavu-fonts-ttf (DejaVu fonts)
+dejavu-fonts-ttf:
+dejavu-fonts-ttf: The DejaVu fonts are a font family based on the Bitstream Vera Fonts
+dejavu-fonts-ttf: (http://gnome.org/fonts/). Its purpose is to provide a wider range
+dejavu-fonts-ttf: of characters (see http://dejavu.sf.net for more information) while
+dejavu-fonts-ttf: maintaining the original look and feel.
+dejavu-fonts-ttf:
+dejavu-fonts-ttf: DejaVu fonts are based on Bitstream Vera fonts version 1.10.
+dejavu-fonts-ttf:
+dejavu-fonts-ttf:
+dejavu-fonts-ttf: